<?php

/*********************************************************************

 イベントリストタグクラウド表示プラグイン (2014/03/01)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_end_eventlist_tagcloud()
{
	global $freo;

	//イベントリストタグ取得
	$stmt = $freo->pdo->query('SELECT id, tag FROM ' . FREO_DATABASE_PREFIX . 'plugin_eventlists WHERE tag IS NOT NULL');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	$eventlist_tags = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		foreach (explode(',', $data['tag']) as $tag) {
			if ($tag == '') {
				continue;
			}

			if (isset($eventlist_tags[$tag])) {
				$eventlist_tags[$tag]++;
			} else {
				$eventlist_tags[$tag] = 1;
			}
		}
	}

	ksort($eventlist_tags, SORT_STRING);

	$data = '';
	foreach ($eventlist_tags as $tag => $count) {
		$data .= "$tag,$count\n";
	}

	//イベントリストタグ情報更新
	if (file_put_contents(FREO_FILE_DIR . 'plugins/eventlist_tagcloud.log', $data) === false) {
		freo_error('イベントリストタグ情報保存ファイル ' . FREO_FILE_DIR . 'plugins/eventlist_tagcloud.log に書き込めません。');
	}

	return;
}

?>
